Subject: Re: ARP Spoofing

From: Vlad Yasevich <[email-masked]>
Date: Wed, 02 May 2007 14:55:53 -0400

Topher Fischer wrote:
> Does the kernel have any protection against ARP spoofing?  If not, does
> anybody know why not? (As in, nobody has done anything, or because of A,
> B, and C).
> 
> Thanks,
> 

If by arp spoofing you mean receiving arp replies from multiple sources and
trusting all of them, then I haven't seen anything.  I speaking from
experience as having been bitten by this in earlier kernels (2.6.15 and 2.6.17),
it's a pita to diagnose in a large environment.

I don't know the history as to why nothing has has been done.

-vlad